# index

Легковесная система индексации табличных данных.

## Установка и настройка

> index требует **Python 3.8.0 или выше**.

Также будут установлены пакеты `openpyxl`, `pyxlsb`, `pymongo`.

Перед индексированием таблиц (поддерживаются форматы файлов .xlsx и .xlsb) необходимо описать структуру, в которой каждой колонке таблицы назначается ключ.
Скрипт может работать сразу после установки без настроечных файлов, но, в этом случае, данные сохраняются необработанными - удобно, чтобы убедиться, что скрипт работает, но совершенно бесполезно.

## Быстрый запуск

Установите переменные среды и запустите выполнение скрипта с указанием файла для индексации:
```
$ set dburi=mongodb://localhost
$ set dbname=db1
$ set cname=$BASEDIRNAME
$ set cname_files=_files
$ index <path>/filename.xlsx
```
Скрипт будет искать файл с определениями таблицы `parser.cfg`.

## Статус проекта

`Development Status :: 4 - Beta`

## Немного о проекте

Изначально проект располагался здесь: [https://github.com/ndtfy/index](https://github.com/ndtfy/index).
Но данный репозиторий долгое время не обновлялся и, фактически был заброшен, хотя сам проект продолжает развиваться. В связи с тем, что в проекте произошли существенные изменения (например, вместо реляционных БД SQL я начал использовать MongoDB), да и код был написан заново с нуля, было решено создать новый репозиторий.

## Полезные ссылки

[https://pypi.org/project/index/](https://pypi.org/project/index/)

## Лицензия

- MIT